> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Создание корзины

> Создает новую пустую корзину для последующего наполнения намерениями



## OpenAPI

````yaml POST /pouch
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /pouch:
    post:
      tags:
        - Pouch
      description: Создает новую пустую корзину для последующего наполнения намерениями
      operationId: createPouch
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                attribution:
                  description: >-
                    Атрибуция трафика (если есть). Подробнее в
                    [документации](/attribution)
                  type: object
                  properties:
                    utm_source:
                      description: Источник трафика
                      type: string
                    utm_medium:
                      description: Тип трафика
                      type: string
                  required:
                    - utm_source
                    - utm_medium
      responses:
        '200':
          description: Корзина успешно создана
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 200
                  pouchId:
                    type: string
                    description: ID созданной корзины
                    example: 5f4d3fc4a1f6c80017e7b7d1
                  paymentAmount:
                    type: number
                    description: Сумма к оплате
                    example: 1000
                  paymentCurrency:
                    description: Валюта оплаты
                    type: string
                    example: RUB
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````